summaryrefslogtreecommitdiff
path: root/bootstrap.sh
diff options
context:
space:
mode:
authorLennart Poettering <lennart@poettering.net>2003-07-31 14:18:41 +0000
committerLennart Poettering <lennart@poettering.net>2003-07-31 14:18:41 +0000
commite774e8ef3467e81ed502e19b1719b4ab384d0083 (patch)
tree8eb9ee6196c383347cb2be00ec389d5c177b5d17 /bootstrap.sh
downloadlibdaemon-e774e8ef3467e81ed502e19b1719b4ab384d0083.tar.gz
Moved to trunk
git-svn-id: file:///home/lennart/svn/public/libdaemon/trunk@38 153bfa13-eec0-0310-be40-b0cb6a0e1b4b
Diffstat (limited to 'bootstrap.sh')
-rwxr-xr-xbootstrap.sh40
1 files changed, 40 insertions, 0 deletions
diff --git a/bootstrap.sh b/bootstrap.sh
new file mode 100755
index 0000000..e4bc091
--- /dev/null
+++ b/bootstrap.sh
@@ -0,0 +1,40 @@
+#!/bin/sh
+# $Id$
+
+# This file is part of libdaemon.
+#
+# libdaemon is free software; you can redistribute it and/or modify it
+# under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# libdaemon is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with libdaemon; if not, write to the Free Software Foundation,
+# Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
+
+if [ "x$1" = "xam" ] ; then
+ set -ex
+ automake -a -c
+ ./config.status
+else
+ set -ex
+
+ make maintainer-clean || true
+
+ rm -rf autom4te.cache
+ rm -f config.cache
+
+ aclocal
+ libtoolize -c --force
+ autoheader
+ automake -a -c
+ autoconf -Wall
+
+ ./configure "$@"
+fi
+